# LOG10 function

The LOG10 function returns the base-10 logarithm of the specified number.

The specified number must be a DOUBLE PRECISION number that is greater than zero (0).

- If the specified number is NULL, the result of this function is NULL.
- If the specified number is zero or a negative number, an exception is returned that indicates that the value is out of range (SQL state 22003).

The data type of the returned value is a DOUBLE PRECISION number.

#### Syntax

    LOG10 ( number )

Parent topic: Built-in functions